Bug 241854 - application failed to start with Error
Summary: application failed to start with Error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mono-debugger (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-31 07:05 UTC by A S Alam
Modified: 2013-07-03 00:45 UTC (History)
2 users (show)

Fixed In Version: 0.60-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 13:28:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description A S Alam 2007-05-31 07:05:05 UTC
Description of problem:
 mdb --help

***MEMORY-WARNING***: /usr/lib/mono/1.0/mdb.exe[3974]: GSlice: g_thread_init()
must be called before all other GLib functions; memory corruption due to late
invocation of g_thread_init() has been detected; this program is likely to
crash, leak or unexpectedly abort soon...

Unhandled Exception: System.TypeInitializationException: An exception was thrown
by the type initializer for Mono.Debugger.Frontend.CommandLineInterpreter --->
System.DllNotFoundException: monodebuggerserver
  at (wrapper managed-to-native)
Mono.Debugger.Frontend.CommandLineInterpreter:mono_debugger_server_static_init ()
  at Mono.Debugger.Frontend.CommandLineInterpreter..cctor () [0x00000] --- End
of inner exception stack trace ---


Version-Release number of selected component (if applicable):
mono-debugger-0.31-2.fc7
mono-core-1.2.3-3.fc7

How reproducible:


Steps to Reproduce:
1. run mdb
2.
3.
  
Actual results:
Fail to start

Expected results:
should work

Additional info:

Comment 1 Nicholas Miell 2007-08-23 01:13:18 UTC
Workaround: install mono-debugger-devel (It's looking for
/usr/lib64/libmonodebuggerserver.so, and that doesn't exist unless you install
the devel package).

In fact, considering that mono-debugger-devel consists of two symlinks, an
pkgconfig file and a readme, I think the devel package should just be merged
into mono-debugger proper.


Comment 2 Paul F. Johnson 2007-11-14 15:25:17 UTC
No. There has been quite an argument over this. I know it seems daft to have the
.pc file and blow all else in a separate package, but thems are the packaging rules.

As for this problem, it's tricky. The .so is required by the main package, but
the  .so file is a devel file so needs to be in the devel package. 

Comment 3 Bug Zapper 2008-04-04 10:55:39 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.


Note You need to log in before you can comment on or make changes to this bug.